# Compatibility

# Introduction

# LeoCorpLibrary

LeoCorpLibrary 3.0 and +, enables you to use it on this frameworks:

  • .NET 5
  • .NET Core 3.1
  • .NET Framework 4.7.2

Some features may or may not be available in .NET Core or in .NET Framework. That's why in each features' documentation, we added a little table to indicate it's compatibilty.

Note

The above framework list can be updated at any time.

# LeoCorpLibrary.Core

LeoCorpLibrary.Core 3.0 and +, enables you to use it on this frameworks:

  • .NET 5
  • .NET Core 3.1
  • .NET Framework 4.7.2
  • .NET Framework 4.5

Note

The above framework list can be updated at any time.

# Compatible Operating Systems

# LeoCorpLibrary

Here are the OSs and their compatibility levels:

OS Compatibility
Windows
macOS
Linux

LeoCorpLibrary uses Microsoft.NET.Sdk.WindowsDesktop which means that LeoCorpLibrary is only compatible in Windows Desktop Applications.

Note

Even if some methods and features of LeoCorpLibrary don't need the Windows Desktop SDK, doesn't mean that they are compatible with other OSs.

# LeoCorpLibrary.Core

Here are the OSs and their compatibility levels:

OS Compatibility
Windows
macOS
Linux

Note

Some features and method may change depending on the operating system.